/* REXX */
/* This script installs the script CK_blacklist.cmd as a filter for all accounts in PMMail.
   It will copy the script into a directory named UTIL under the same directory where your
   PMMAIL and TOOLS directories are located.

   After installation you can inspect and edit or delete the filter in all your accounts.
   The standard actions installed are "delete" and "inform user". The name of the filter
   will be formed out of the directory name of that account and the string "_Blacklist".

*/


  CALL rxfuncadd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
  CALL SysLoadFuncs

  PMMailPath = SysIni(, "PMMail/2", "InstallRoot" )
  PMMailPath = STRIP(PMMailPath,"B",D2C(0))
  IF PMMailPath = "" THEN SIGNAL PMMailNotFound    /* error exit */

  SETLOCAL
  oldDirectory = DIRECTORY()
  pmmDirectory = DIRECTORY(PMMailPath)
  IF pmmDirectory <> PMMailPath THEN SIGNAL DirChangeError   /* error exit */

  baseDir = DIRECTORY("..")
  SAY "** debug ** jetzt in basedir " baseDir
  utilDir = DIRECTORY(baseDir||"\UTIL")
  SAY
  SAY "utilDir " utilDir
  PAUSE
  IF utilDir = "" THEN
     DO
      utilDir = baseDir||"\UTIL"
      rc = SysMkDir(utilDir)
      IF rc <> 0 then SIGNAL UTILdirError                    /* error exit */
     END
  ELSE
    SAY "Neues utilDir: " utilDir

  PARSE SOURCE  OpSys HostEnv MyName
  SourceDir = FILESPEC("P", MyName)
  ADDRESS CMD "COPY "||SourceDir||"CK_BlackList.CMD "||utilDir||"\"

  pmmDirectory = DIRECTORY(PMMailPath)
  CALL SysFileTree "*.ACT", "AccountDirs", "DO"
  acctDirStart = LENGTH(pmmDirectory) + 2
  DO acctNo = 1 TO AccountDirs.0
    acctShortName = SUBSTR(LEFT(AccountDirs.acctNo, LENGTH(AccountDirs.acctNo) - 3), acctDirStart)
    rc = LINEOUT(AccountDirs.acctNo||"\FILTERS.LST", acctShortName||"Blacklist1101PROGRAM.<..\UTIL\ck_blacklist.cmd> = "||D2C(34)||"Confirmed"||D2C(34)||"15;0;7;0;0;0;0;0;0;0;0;0;")
  END
  SAY "Done. Created Blacklist Filter in "||AccountDirs.0||" accounts."


  SIGNAL TheVeryEnd

/* ------------------------------------------------------------------ */
PMMailNotFound:
    SAY "Could not find where your PMMail/2 is installed"
    SIGNAL TheVeryEnd


DirChangeError:
    SAY "Could not change to the PMMail directory "||PMMailPath||", got to "||pmmDirectory
    DIRECTORY(oldDirectory)
    SIGNAL TheVeryEnd

UTILdirError:
    SAY "Could not create UTIL directory. Error code "||rc
    SIGNAL TheVeryEnd

TheVeryEnd:
    ENDLOCAL
    EXIT


/* end of program */

